Get Developer Crm Deal
/api/v1/developer/crm/deals/{dealId}Use the access scope below. The generated schemas specify the exact request and responses.
Access scopecrm.deals.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Parameters
dealIdrequired · pathstringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }
Request examples
curl --request GET \ 'https://YOUR_NOVA_HOST/api/v1/developer/crm/deals/DEAL_ID' \ --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Responses
200 Exact project CRM deal
application/jsonobject
dealrequired- object
Nested schema
objectidrequired- stringminLength: 1 · maxLength: 160
contactIdrequired- stringminLength: 1 · maxLength: 160
organizationIdrequired- string | nullminLength: 1 · maxLength: 160
titlerequired- stringminLength: 1
tagsrequired- array
Nested schema
arraystringJSON Schema
{ "type": "string" }JSON Schema
{ "type": "array", "items": { "type": "string" } } pipelineIdrequired- stringminLength: 1 · maxLength: 160
stageIdrequired- stringminLength: 1 · maxLength: 160
budgetMinorrequired- integerminimum: 0
expectedCloseDaterequired- string | nullformat: "date"
statusrequired- stringenum: ["open","won","lost"]
lifecyclerequired- stringenum: ["active","archived"]
createdAtrequired- stringformat: "date-time"
updatedAtrequired- stringformat: "date-time"
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "contactId": { "type": "string", "minLength": 1, "maxLength": 160 }, "organizationId": { "type": [ "string", "null" ], "minLength": 1, "maxLength": 160 }, "title": { "type": "string", "minLength": 1 }, "tags": { "type": "array", "items": { "type": "string" } }, "pipelineId": { "type": "string", "minLength": 1, "maxLength": 160 }, "stageId": { "type": "string", "minLength": 1, "maxLength": 160 }, "budgetMinor": { "type": "integer", "minimum": 0 }, "expectedCloseDate": { "type": [ "string", "null" ], "format": "date" }, "status": { "type": "string", "enum": [ "open", "won", "lost" ] }, "lifecycle": { "type": "string", "enum": [ "active", "archived" ] }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "contactId", "organizationId", "title", "tags", "pipelineId", "stageId", "budgetMinor", "expectedCloseDate", "status", "lifecycle", "createdAt", "updatedAt" ] } stagerequired- object
Nested schema
objectidrequired- stringminLength: 1 · maxLength: 160
namerequired- stringminLength: 1
categoryrequired- stringenum: ["open","won","lost"]
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "name": { "type": "string", "minLength": 1 }, "category": { "type": "string", "enum": [ "open", "won", "lost" ] } }, "required": [ "id", "name", "category" ] } organizationrequired- object | null
Nested schema
object | nullidrequired- stringminLength: 1 · maxLength: 160
namerequired- stringminLength: 1
websiterequired- string | null
cityrequired- string | null
JSON Schema
{ "type": [ "object", "null" ], "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "name": { "type": "string", "minLength": 1 }, "website": { "type": [ "string", "null" ] }, "city": { "type": [ "string", "null" ] } }, "required": [ "id", "name", "website", "city" ] } lineItemsrequired- array
Nested schema
arrayobjectidrequired- stringminLength: 1 · maxLength: 160
productIdrequired- stringminLength: 1 · maxLength: 160
namerequired- stringminLength: 1
quantityrequired- integerexclusiveMinimum: 0
unitPriceMinorrequired- integerminimum: 0
totalMinorrequired- integerminimum: 0
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "productId": { "type": "string", "minLength": 1, "maxLength": 160 }, "name": { "type": "string", "minLength": 1 }, "quantity": { "type": "integer", "exclusiveMinimum": 0 }, "unitPriceMinor": { "type": "integer", "minimum": 0 }, "totalMinor": { "type": "integer", "minimum": 0 } }, "required": [ "id", "productId", "name", "quantity", "unitPriceMinor", "totalMinor" ] }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "productId": { "type": "string", "minLength": 1, "maxLength": 160 }, "name": { "type": "string", "minLength": 1 }, "quantity": { "type": "integer", "exclusiveMinimum": 0 }, "unitPriceMinor": { "type": "integer", "minimum": 0 }, "totalMinor": { "type": "integer", "minimum": 0 } }, "required": [ "id", "productId", "name", "quantity", "unitPriceMinor", "totalMinor" ] } } tasksrequired- arraymaxItems: 20
Nested schema
arraymaxItems: 20objectidrequired- stringminLength: 1 · maxLength: 160
titlerequired- stringminLength: 1
dueAtrequired- string | nullformat: "date-time"
priorityrequired- stringenum: ["normal","high"]
statusrequired- stringenum: ["open","in_progress","done"]
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "title": { "type": "string", "minLength": 1 }, "dueAt": { "type": [ "string", "null" ], "format": "date-time" }, "priority": { "type": "string", "enum": [ "normal", "high" ] }, "status": { "type": "string", "enum": [ "open", "in_progress", "done" ] } }, "required": [ "id", "title", "dueAt", "priority", "status" ] }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "title": { "type": "string", "minLength": 1 }, "dueAt": { "type": [ "string", "null" ], "format": "date-time" }, "priority": { "type": "string", "enum": [ "normal", "high" ] }, "status": { "type": "string", "enum": [ "open", "in_progress", "done" ] } }, "required": [ "id", "title", "dueAt", "priority", "status" ] }, "maxItems": 20 }
JSON Schema
{
"type": "object",
"properties": {
"deal": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"contactId": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"organizationId": {
"type": [
"string",
"null"
],
"minLength": 1,
"maxLength": 160
},
"title": {
"type": "string",
"minLength": 1
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"pipelineId": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"stageId": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"budgetMinor": {
"type": "integer",
"minimum": 0
},
"expectedCloseDate": {
"type": [
"string",
"null"
],
"format": "date"
},
"status": {
"type": "string",
"enum": [
"open",
"won",
"lost"
]
},
"lifecycle": {
"type": "string",
"enum": [
"active",
"archived"
]
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"contactId",
"organizationId",
"title",
"tags",
"pipelineId",
"stageId",
"budgetMinor",
"expectedCloseDate",
"status",
"lifecycle",
"createdAt",
"updatedAt"
]
},
"stage": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"name": {
"type": "string",
"minLength": 1
},
"category": {
"type": "string",
"enum": [
"open",
"won",
"lost"
]
}
},
"required": [
"id",
"name",
"category"
]
},
"organization": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"name": {
"type": "string",
"minLength": 1
},
"website": {
"type": [
"string",
"null"
]
},
"city": {
"type": [
"string",
"null"
]
}
},
"required": [
"id",
"name",
"website",
"city"
]
},
"lineItems": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"productId": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"name": {
"type": "string",
"minLength": 1
},
"quantity": {
"type": "integer",
"exclusiveMinimum": 0
},
"unitPriceMinor": {
"type": "integer",
"minimum": 0
},
"totalMinor": {
"type": "integer",
"minimum": 0
}
},
"required": [
"id",
"productId",
"name",
"quantity",
"unitPriceMinor",
"totalMinor"
]
}
},
"tasks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"title": {
"type": "string",
"minLength": 1
},
"dueAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"priority": {
"type": "string",
"enum": [
"normal",
"high"
]
},
"status": {
"type": "string",
"enum": [
"open",
"in_progress",
"done"
]
}
},
"required": [
"id",
"title",
"dueAt",
"priority",
"status"
]
},
"maxItems": 20
}
},
"required": [
"deal",
"stage",
"organization",
"lineItems",
"tasks"
],
"$ref": "#/components/schemas/DeveloperCrmDealDetailResponse"
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}404 CRM deal not found
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}